> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agents.kolena.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspaces

> Return all Workspaces

export const limit_0 = 600

<Info>
  **Rate Limit:** This endpoint is limited to **{limit_0.toLocaleString()} requests per minute** per user.
</Info>


## OpenAPI

````yaml openapi.json GET /api/v1/client/workspaces
openapi: 3.1.0
info:
  title: kolena
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/client/workspaces:
    get:
      tags:
        - client
        - workspaces
      summary: Client List Workspaces
      operationId: client_list_workspaces_api_v1_client_workspaces_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWorkspacesResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListWorkspacesResponse:
      properties:
        workspaces:
          items:
            $ref: '#/components/schemas/WorkspaceInfo'
          type: array
          title: Workspaces
          description: List of accessible workspaces.
      type: object
      required:
        - workspaces
      title: ListWorkspacesResponse
    WorkspaceInfo:
      properties:
        id:
          type: integer
          title: Id
          description: The unique identifier of the workspace.
        name:
          type: string
          title: Name
          description: The name of the workspace.
      type: object
      required:
        - id
        - name
      title: WorkspaceInfo
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`. The `<token>`
        represents your API key, which must be acquired from the Kolena
        platform.

````